Package org.apache.sysds.runtime.iogen

# Enum Class MappingTrieNode.Type

java.lang.Object
java.lang.Enum<MappingTrieNode.Type>
org.apache.sysds.runtime.iogen.MappingTrieNode.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<MappingTrieNode.Type>`, `Constable`

Enclosing class:
  MappingTrieNode

public static enum MappingTrieNode.Type extends Enum<MappingTrieNode.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`END`
`IGNORE`
`INNER`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static MappingTrieNode.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MappingTrieNode.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INNER

public static final MappingTrieNode.Type INNER

### END

public static final MappingTrieNode.Type END

### IGNORE

public static final MappingTrieNode.Type IGNORE

## Method Details

### values

public static MappingTrieNode.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MappingTrieNode.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<MappingTrieNode.Type>`